Package org.eclipse.lemminx.dom.parser

## Enum TokenType

- java.lang.Object
- - java.lang.Enum<TokenType>
  - - org.eclipse.lemminx.dom.parser.TokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<TokenType>`

    public enum TokenType
    extends Enum<TokenType>

XML Token type.

### Enum Constant Summary

Enum Constants
`AttributeName`
`AttributeValue`
`CDATAContent`
`CDATATagClose`
`CDATATagOpen`
`Comment`
`Content`
`DelimiterAssign`
`DTDAttlistAttributeName`
`DTDAttlistAttributeType`
`DTDAttlistAttributeValue`
`DTDAttlistElementName`
`DTDDocTypeKindPUBLIC`
`DTDDocTypeKindSYSTEM`
`DTDDoctypeName`
`DTDDoctypePublicId`
`DTDDoctypeSystemId`
`DTDElementCategory`
`DTDElementContent`
`DTDElementDeclName`
`DTDEndDoctypeTag`
`DTDEndElementContent`
`DTDEndInternalSubset`
`DTDEndTag`
`DTDEntityKindPUBLIC`
`DTDEntityKindSYSTEM`
`DTDEntityName`
`DTDEntityPercent`
`DTDEntityPublicId`
`DTDEntitySystemId`
`DTDEntityValue`
`DTDNotationKindPUBLIC`
`DTDNotationKindSYSTEM`
`DTDNotationName`
`DTDNotationPublicId`
`DTDNotationSystemId`
`DTDStartAttlist`
`DTDStartDoctypeTag`
`DTDStartElement`
`DTDStartElementContent`
`DTDStartEntity`
`DTDStartInternalSubset`
`DTDStartNotation`
`DTDUnrecognizedParameters`
`EndCommentTag`
`EndTag`
`EndTagClose`
`EndTagOpen`
`EOS`
`PIContent`
`PIEnd`
`PIName`
`PrologEnd`
`PrologName`
`StartCommentTag`
`StartPrologOrPI`
`StartTag`
`StartTagClose`
`StartTagOpen`
`StartTagSelfClose`
`Unknown`
`Whitespace`

### Method Summary

All Methods Static Methods Concrete Methods
`static TokenType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TokenType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### StartCommentTag

    public static final TokenType StartCommentTag

#### Comment

    public static final TokenType Comment

#### EndCommentTag

    public static final TokenType EndCommentTag

#### CDATATagOpen

    public static final TokenType CDATATagOpen

#### CDATAContent

    public static final TokenType CDATAContent

#### CDATATagClose

    public static final TokenType CDATATagClose

#### StartTagOpen

    public static final TokenType StartTagOpen

#### StartTagClose

    public static final TokenType StartTagClose

#### StartTagSelfClose

    public static final TokenType StartTagSelfClose

#### StartTag

    public static final TokenType StartTag

#### EndTagOpen

    public static final TokenType EndTagOpen

#### EndTagClose

    public static final TokenType EndTagClose

#### EndTag

    public static final TokenType EndTag

#### DelimiterAssign

    public static final TokenType DelimiterAssign

#### AttributeName

    public static final TokenType AttributeName

#### AttributeValue

    public static final TokenType AttributeValue

#### StartPrologOrPI

    public static final TokenType StartPrologOrPI

#### PrologName

    public static final TokenType PrologName

#### PIName

    public static final TokenType PIName

#### PIContent

    public static final TokenType PIContent

#### PIEnd

    public static final TokenType PIEnd

#### PrologEnd

    public static final TokenType PrologEnd

#### Content

    public static final TokenType Content

#### Whitespace

    public static final TokenType Whitespace

#### Unknown

    public static final TokenType Unknown

#### EOS

    public static final TokenType EOS

#### DTDStartDoctypeTag

    public static final TokenType DTDStartDoctypeTag

#### DTDDoctypeName

    public static final TokenType DTDDoctypeName

#### DTDDocTypeKindPUBLIC

    public static final TokenType DTDDocTypeKindPUBLIC

#### DTDDocTypeKindSYSTEM

    public static final TokenType DTDDocTypeKindSYSTEM

#### DTDDoctypePublicId

    public static final TokenType DTDDoctypePublicId

#### DTDDoctypeSystemId

    public static final TokenType DTDDoctypeSystemId

#### DTDEndDoctypeTag

    public static final TokenType DTDEndDoctypeTag

#### DTDStartInternalSubset

    public static final TokenType DTDStartInternalSubset

#### DTDEndInternalSubset

    public static final TokenType DTDEndInternalSubset

#### DTDStartElement

    public static final TokenType DTDStartElement

#### DTDElementDeclName

    public static final TokenType DTDElementDeclName

#### DTDElementCategory

    public static final TokenType DTDElementCategory

#### DTDStartElementContent

    public static final TokenType DTDStartElementContent

#### DTDElementContent

    public static final TokenType DTDElementContent

#### DTDEndElementContent

    public static final TokenType DTDEndElementContent

#### DTDStartAttlist

    public static final TokenType DTDStartAttlist

#### DTDAttlistElementName

    public static final TokenType DTDAttlistElementName

#### DTDAttlistAttributeValue

    public static final TokenType DTDAttlistAttributeValue

#### DTDAttlistAttributeType

    public static final TokenType DTDAttlistAttributeType

#### DTDAttlistAttributeName

    public static final TokenType DTDAttlistAttributeName

#### DTDStartEntity

    public static final TokenType DTDStartEntity

#### DTDEntityPercent

    public static final TokenType DTDEntityPercent

#### DTDEntityKindPUBLIC

    public static final TokenType DTDEntityKindPUBLIC

#### DTDEntityKindSYSTEM

    public static final TokenType DTDEntityKindSYSTEM

#### DTDEntityPublicId

    public static final TokenType DTDEntityPublicId

#### DTDEntitySystemId

    public static final TokenType DTDEntitySystemId

#### DTDEntityName

    public static final TokenType DTDEntityName

#### DTDEntityValue

    public static final TokenType DTDEntityValue

#### DTDStartNotation

    public static final TokenType DTDStartNotation

#### DTDNotationName

    public static final TokenType DTDNotationName

#### DTDNotationKindPUBLIC

    public static final TokenType DTDNotationKindPUBLIC

#### DTDNotationKindSYSTEM

    public static final TokenType DTDNotationKindSYSTEM

#### DTDNotationPublicId

    public static final TokenType DTDNotationPublicId

#### DTDNotationSystemId

    public static final TokenType DTDNotationSystemId

#### DTDUnrecognizedParameters

    public static final TokenType DTDUnrecognizedParameters

#### DTDEndTag

    public static final TokenType DTDEndTag

### Method Detail

#### values

    public static TokenType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TokenType c : TokenType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TokenType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null